Get the tasks of an asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/assets/{asset_id}/tasks

Get the tasks of an asset.

Path parameters

  • asset_id string(uuid) Required

    Unique identifier of the asset

Query parameters

  • relations boolean

    Add the related data to each task

    Default value is false.

Responses

  • 200 application/json

    The list of tasks

    Hide response attributes Show response attributes object
    • id string(uuid)

      Task unique identifier

    • name string

      Task name

    • task_type_id string(uuid)

      Task type identifier

    • task_status_id string(uuid)

      Task status identifier

    • entity_id string(uuid)

      Asset identifier

    • assigned_to string(uuid)

      Assigned user identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 403

    You do not have access to this project, or you are a vendor without a task on this asset

  • 404

    The asset does not exist

GET /data/assets/{asset_id}/tasks
curl -X GET "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/tasks?task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&task_status_id=a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/tasks"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "e68e02e8-0219-8009-e514-918974260690",
    "name": "Modeling Task",
    "task_type_id": "f79f13f9-1320-9110-f625-029085371700",
    "task_status_id": "08002400-2431-0221-0736-130196482810",
    "entity_id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "assigned_to": "19113511-3542-1332-1847-241207593920",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]